#include <TCanvas.h>
#include <TFile.h>
#include <TGraph.h>
#include <TH2.h>
#include <TTree.h>

void PlotPres26JUIN(){

  TFile *f = new TFile("../../root/analysis/VamosCalib247.root");
  TFile *cutfile = TFile::Open("cut12C.root");

  TCut *C12 =(TCut*)cutfile->Get("C12");
  TTree *tree = (TTree*) f->Get("PhysicsTree");

  NPL::Reaction * reac = new NPL::Reaction("238U(12C,12C)238U@1428");
     
  TCanvas *c1 = new TCanvas("c1","c1",1200,600);
  TH2D *StatBox = new TH2D("StatBox","Kinematic Line 238U(12C,12C)238U @1428Mev",1000,30,55,1000,80,200); 

  tree->Draw("Elab:ThetaLab>>StatBox","VAMOS_TS_hour==0 && C12","colz");
  StatBox->SetXTitle("$\\theta_{lab}$");
  StatBox->SetYTitle("E_{lab}");
  StatBox->SetTitleSize(0.045,"XYZ");

  TGraph *g;
  g = reac -> GetKinematicLine3();
  g-> SetLineWidth(2);
  g->Draw("lsame");



}
