
#include <TAxis.h>
#include <TCanvas.h>
#include <TF1.h>
#include <TFile.h>
#include <TSpline.h>

void PlotOnline(){

    TF1 *f1 = new TF1("Fonction Online", "(1-0.000686068*x)*(1-4.88238e-05*x+7.40395e-06*x*x)", -100, 100);


    TFile *fSplineIC = new TFile("Output/spline_P2P_2024.root","open"); 
    TSpline3 *spline_Y = (TSpline3 *)fSplineIC->Get("fspline_IC1_Y");

    TCanvas *c = new TCanvas("c","c");
    f1->Draw();
    f1->SetTitle("Lucas correction");
    f1->GetXaxis()->SetTitle("Y");
    f1->GetYaxis()->SetTitle("De Correction");
}
