NPL::EnergyLoss C12[3][8];
NPL::EnergyLoss C12C[8];
NPL::EnergyLoss C12Al[8];
NPL::EnergyLoss C12Si[8];

void EnergyLossGraphDE(){

    for (int i=0;i<8; i++){
        C12C[i] = NPL::EnergyLoss("/home/efremovt/nptool/nptool_v3/Projects/pista_e850_main/ana_e850/EnergyLossTable/C12_C.G4table","G4Table",100);
        C12Si[i] = NPL::EnergyLoss("/home/efremovt/nptool/nptool_v3/Projects/pista_e850_main/ana_e850/EnergyLossTable/C12_Si.G4table","G4Table",100);
        C12Al[i] = NPL::EnergyLoss("/home/efremovt/nptool/nptool_v3/Projects/pista_e850_main/ana_e850/EnergyLossTable/C12_Al.G4table","G4Table",100);
        C12[0][i] = C12C[i]; 
        C12[1][i] = C12Si[i]; 
        C12[2][i] = C12Al[i];


    }
    ofstream ofileDead[3];
    string filenameDead[3];
    filenameDead[0] = "../QuickEloss/ELossC.dat" ;
    filenameDead[2] = "../QuickEloss/ELossAl.dat";
    ofstream ofileDe[8];
    string filenameDe[8];
    for (int i=0;i<8;i++){
        filenameDe[i]="QuickEloss/ElossSiDe" + to_string(i) + ".dat";}


    double Thickness[3][8];
    double ThicknessSi[8]{109*micrometer,107*micrometer,107*micrometer,107*micrometer,105*micrometer,106*micrometer,106*micrometer,106*micrometer};
    for (int i=0;i<8;i++){
        Thickness[0][i] = 0.22*micrometer;
        Thickness[1][i] = ThicknessSi[i];
        Thickness[2][i] = 0.5*micrometer;
    }

    for (int i=0; i<3;i++){
        if (i!=1){
            ofileDead[i].open(filenameDead[i].c_str());}
        else if (i==1){
            for (int j=0 ; j<8;j++){
                ofileDe[j].open(filenameDe[j].c_str());}}
        double Ef = 1;
        for (int entries = 0 ; entries <200 ; entries++){

            if (i !=1){
                double Ei = C12[i][0].EvaluateInitialEnergy(Ef,Thickness[i][0],0);
                ofileDead[i] << Ef << " " << Ei << endl;
            }

            else if (i==1){
                for (int j=0 ; j<8;j++){
                    double Ei = C12[i][j].Slow(Ef,Thickness[i][j],0);
                    ofileDe[j] << Ef << " " << Ei << endl;
                }
            }
            Ef+=10;
        }
        if (i!=1){
            ofileDead[i].close();}
        else if (i==1){
            for (int j=0 ; j<8;j++){
                ofileDe[j].close();}} 
    }
}
